## pyee 9.0.4

=== Makefile ===
.PHONY: setup setup-conda package upload check test tox lint format build_docs serve_docs clean

setup:
	python3 -m venv venv
	if [ -d venv ]; then . ./venv/bin/activate; fi; pip install pip wheel --upgrade
	if [ -d venv ]; then . ./venv/bin/activate; fi; pip install -r requirements.txt
	if [ -d venv ]; then . ./venv/bin/activate; fi; pip install -r requirements_dev.txt
	if [ -d venv ]; then . ./venv/bin/activate; fi; pip install -e .
	npm i

package: test lint
	if [ -d venv ]; then . ./venv/bin/activate; fi; python setup.py check
	if [ -d venv ]; then . ./venv/bin/activate; fi; python setup.py sdist
	if [ -d venv ]; then . ./venv/bin/activate; fi; python setup.py bdist_wheel --universal

upload:
	if [ -d venv ]; then . ./venv/bin/activate; fi; twine upload dist/*

check:
	if [ -d venv ]; then . ./venv/bin/activate; fi; npm run pyright

test:
	if [ -d venv ]; then . ./venv/bin/activate; fi; pytest ./tests

tox:
	if [ -d venv ]; then . ./venv/bin/activate; fi; tox

lint:
	if [ -d venv ]; then . ./venv/bin/activate; fi; flake8 ./pyee setup.py ./tests ./docs

format:
	if [ -d venv ]; then . ./venv/bin/activate; fi;  black ./pyee setup.py ./tests ./docs
	if [ -d venv ]; then . ./venv/bin/activate; fi;  isort ./pyee setup.py ./tests ./docs

build_docs:
	if [ -d venv ]; then . ./venv/bin/activate; fi; cd docs && make html

serve_docs: build_docs
	if [ -d venv ]; then . ./venv/bin/activate; fi; cd docs/_build/html && python -m http.server

clean:
	rm -rf .tox
	rm -rf dist
	rm -rf pyee.egg-info
	rm -rf pyee/*.pyc
	rm -rf pyee/__pycache__
	rm -rf pytest_runner-*.egg
	rm -rf tests/__pycache__

=== requirements.txt ===
typing-extensions==4.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyee.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyee.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyee"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyee"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## pyee 3.0.3

=== debian/changelog ===
pyee (3.0.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 11 Aug 2019 01:00:48 +0500

pyee (3.0.3-1) unstable; urgency=medium

  * Initial Debian packaging (closes: #869099)

 -- Ethan Ward <ethan.ward@mycroft.ai>  Mon, 17 Jul 2017 10:25:02 -0500

=== debian/control ===
Source: pyee
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ethan Ward <ethan.ward@mycroft.ai>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
               python3-twisted,
Standards-Version: 4.0.0
Homepage: https://github.com/jfhbrook/pyee
Vcs-Git: https://salsa.debian.org/python-team/modules/pyee.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyee

Package: python3-pyee
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 port of node.js's EventEmitter to Python
 This package contains the pyee module for Python 3. pyee supplies an
 EventEmitter object similar to the EventEmitter from node.js. This allows
 developers to register a function to an event, which means that when the event
 is emitted, the function will be called.

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=pyee

%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pyee/pyee-(.*).tar.gz

## pyee 7.0.2

=== debian/changelog ===
pyee (7.0.2-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 7.0.2 (Closes: #956914)
  * Update debian/copyright
  * Refresh patch
  * Disable trio tests (pytest-trio is not in Debian)
  * Add missing build-dep: python3-pytest-asyncio
  * Add autopkgtest-pkg-python
  * Bump Standards-Version to 4.5.0

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 08 Jul 2020 16:19:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ethan Ward <ethan.ward@mycroft.ai>
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-mock,
                python3-pytest,
+	       python3-pytest-asyncio,
                python3-pytest-runner,
                python3-setuptools,
                python3-twisted,
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jfhbrook/pyee
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyee.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyee
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pyee
 Architecture: all

## pyee 9.0.4

=== debian/changelog ===
pyee (9.0.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 22:04:37 +0100

pyee (9.0.3-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Ethan Ward <ethan.ward@mycroft.ai>. Closes: #971865
  * Bump debhelper from old 12 to 13.

  [ Jonas Smedegaard ]
  * add myself as uploader
    closes: bug#971865, thanks for past contributions to Ethan Ward
  * update watch file:
    + use format 4
    + track Github source
    + add filenamemangle
    + set dversionmangle=auto
    + add usage comment
  * update copyright info:
    + list Github as source
    + add Upstream-Contact
    + use SPDX license shortname
    + update coverage;
      license my contributions as GPL-3+
  * add git-buildpackage config:
    + sign tags
    + use pristine-tar
    + filter-out any .git* file
    + use DEP-14 branch naming scheme
    + add usage comment
  * annotate test-only build-dependencies
  * add source helper script copyright-check
  * declare compliance with Debian Policy 4.6.0
  * set Rules-Requires-Root: no
  * drop obsolete patches
  * (build-)depend on python3-typing-extensions

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 22:51:48 +0100

=== debian/control ===
Source: pyee
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-mock <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-setuptools,
 python3-twisted <!nocheck>,
 python3-typing-extensions,
Standards-Version: 4.6.0
Homepage: https://github.com/jfhbrook/pyee
Vcs-Git: https://salsa.debian.org/python-team/packages/pyee.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyee
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyee
Architecture: all
Depends:
 python3-typing-extensions,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 port of node.js's EventEmitter to Python
 This package contains the pyee module for Python 3. pyee supplies an
 EventEmitter object similar to the EventEmitter from node.js. This allows
 developers to register a function to an event, which means that when the event
 is emitted, the function will be called.

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=pyee
export PYBUILD_TEST_ARGS = --ignore=tests/test_trio.py

%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

## pyee 11.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --output-file=requirements.txt pyproject.toml
#
typing-extensions==4.8.0
    # via pyee (pyproject.toml)

=== debian/changelog ===
pyee (11.1.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 11.1.0 (Closes: #1058298)
  * remove old python3-mock build dependency
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Jan 2024 18:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-mock <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-runner <!nocheck>,

## pyee 13.0.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile --output-file=requirements.txt pyproject.toml
#
typing-extensions==4.9.0
    # via pyee (pyproject.toml)

=== debian/changelog ===
pyee (13.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2
  * update copyright info:
    + update coverage
    + tighten copyright for packaging

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Mar 2025 19:37:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-twisted <!nocheck>,
  python3-typing-extensions,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jfhbrook/pyee
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyee.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyee

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=pyee
export PYBUILD_TEST_ARGS = --ignore=tests/test_trio.py

%:
	dh $@ --buildsystem=pybuild --test-pytest

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/jfhbrook/pyee/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
